JUCE

- Main Page
- Related Pages
- Topics
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Loading...
Searching...
No Matches
Public Member Functions | List of all members
WebInputStream::Listener Class Reference
juce_core » network

Used to receive callbacks for POST data send progress. More...

`#include <juce_WebInputStream.h>`

## Public Member Functions
virtual | ~Listener ()=default
| Destructor.
virtual bool | postDataSendProgress (WebInputStream &request, int bytesSent, int totalBytes)
| This method will be called periodically with updates on POST data upload progress.

## Detailed Description

Used to receive callbacks for POST data send progress.

Pass one of these into the connect() method and its postDataSendProgress() method will be called periodically with updates on POST data upload progress.

## Constructor & Destructor Documentation

## ◆ ~Listener()

virtual WebInputStream::Listener::~Listener | ( |  | ) |
| virtual default

Destructor.

## Member Function Documentation

## ◆ postDataSendProgress()

virtual bool WebInputStream::Listener::postDataSendProgress | ( | WebInputStream & | request,
|  | int | bytesSent,
|  | int | totalBytes )
| virtual

This method will be called periodically with updates on POST data upload progress.

Parameters

  request | the original request
  bytesSent | the number of bytes sent so far
  totalBytes | the total number of bytes to send

Returns
  true to continue or false to cancel the upload

The documentation for this class was generated from the following file:

- juce_WebInputStream.h